Bug 1226132 - [RFE] Provide hourly scrubbing option
Summary: [RFE] Provide hourly scrubbing option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: bitrot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Venky Shankar
QA Contact: RajeshReddy
URL:
Whiteboard:
Depends On: 1224596 1224647
Blocks: 1202842 glusterfs-3.7.3
TreeView+ depends on / blocked
 
Reported: 2015-05-29 05:10 UTC by Nagaprasad Sathyanarayana
Modified: 2016-09-17 14:23 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.7.0-3
Doc Type: Enhancement
Doc Text:
Clone Of: 1224647
Environment:
Last Closed: 2015-07-29 04:53:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Nagaprasad Sathyanarayana 2015-05-29 05:10:17 UTC
+++ This bug was initially created as a clone of Bug #1224647 +++

+++ This bug was initially created as a clone of Bug #1224596 +++

Description of problem:
Provide an option to scrub the filesystem every hour.

Version-Release number of selected component (if applicable):
mainline

--- Additional comment from Anand Avati on 2015-05-25 01:39:47 EDT ---

REVIEW: http://review.gluster.org/10893 (features/bitrot: reimplement scrubbing frequency) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-25 01:39:49 EDT ---

REVIEW: http://review.gluster.org/10892 (contrib/timer-wheel: mod_timer() and friends) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-25 02:12:57 EDT ---

REVIEW: http://review.gluster.org/10901 (contrib/timer-wheel: mod_timer() and friends) posted (#1) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-25 02:12:59 EDT ---

REVIEW: http://review.gluster.org/10902 (features/bitrot: reimplement scrubbing frequency) posted (#1) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-25 05:04:02 EDT ---

REVIEW: http://review.gluster.org/10902 (features/bitrot: reimplement scrubbing frequency) posted (#2) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-25 05:04:07 EDT ---

REVIEW: http://review.gluster.org/10901 (contrib/timer-wheel: mod_timer() and friends) posted (#2) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Anand Avati on 2015-05-29 01:08:02 EDT ---

REVIEW: http://review.gluster.org/10901 (contrib/timer-wheel: mod_timer() and friends) posted (#3) for review on release-3.7 by Venky Shankar (vshankar@redhat.com)

Comment 2 Niels de Vos 2015-06-02 08:20:22 UTC
The required changes to fix this bug have not made it into glusterfs-3.7.1. This bug is now getting tracked for glusterfs-3.7.2.

Comment 3 RajeshReddy 2015-06-08 07:18:12 UTC
Tested with glusterfs-server-3.7.0-3 and hourly scrubber schedules are working fine so marking this bug as verified

Comment 4 Niels de Vos 2015-06-20 10:08:42 UTC
Unfortunately glusterfs-3.7.2 did not contain a code change that was associated with this bug report. This bug is now proposed to be a blocker for glusterfs-3.7.3.

Comment 6 errata-xmlrpc 2015-07-29 04:53:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.